=== debian/changelog ===
proxychains-ng (4.12-1) unstable; urgency=low

  * Initial release. Closes: #823128

 -- Boyuan Yang <073plan@gmail.com>  Wed, 27 Sep 2017 18:00:21 +0800
