=== debian/control ===
Source: proxychains-ng
Section: net
Priority: optional
Maintainer: Boyuan Yang <073plan@gmail.com>
Build-Depends:
 debhelper (>= 10),
 dh-exec,
Standards-Version: 4.1.0
Homepage: https://github.com/rofl0r/proxychains-ng
Vcs-Git: https://anonscm.debian.org/git/collab-maint/proxychains-ng.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/proxychains-ng.git

Package: proxychains4
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libproxychains4 (= ${binary:Version}),
Description: redirect connections through socks/http proxies
 Proxychains is a UNIX program, that hooks network-related libc functions
 in dynamically linked programs via a preloaded DLL (dlsym(), LD_PRELOAD)
 and redirects the connections through SOCKS4a/5 or HTTP proxies.
 It supports TCP only (no UDP/ICMP etc).
 .
 This project, proxychains-ng, is the continuation of the unmaintained
 proxychains project (known as proxychains package in Debian).

Package: libproxychains4
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: runtime shared library for proxychains-ng
 Proxychains is a UNIX program, that hooks network-related libc functions
 in dynamically linked programs via a preloaded DLL (dlsym(), LD_PRELOAD)
 and redirects the connections through SOCKS4a/5 or HTTP proxies.
 It supports TCP only (no UDP/ICMP etc).
 .
 This project, proxychains-ng, is the continuation of the unmaintained
 proxychains project (known as proxychains package in Debian).
 .
 This package provides the runtime shared library used by proxychains-ng
 program.
