## proxychains-ng 4.13

=== debian/changelog ===
proxychains-ng (4.13-1) unstable; urgency=medium

  * New upstream release.
  * Drop backported patches.
  * Update man page for proxychains4.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 27 Jun 2018 11:18:48 +0800

proxychains-ng (4.12-2) unstable; urgency=medium

  * Backport more patches from upstream trunk.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Bump debhelper compat to v11.
  * d/rules: Use "dh_missing --fail-missing".
  * d/control: Use Salsa repo in Vcs fields.
  * Use Alternatives system to provide /usr/bin/proxychains.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 10 May 2018 14:13:12 +0800
