=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,6 @@
 
 %:
 	dh $@
+
+override_dh_missing:
+	dh_missing --fail-missing
