=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: proxychains-ng
 Section: net
 Priority: optional
-Maintainer: Boyuan Yang <073plan@gmail.com>
+Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dh-exec,
-Standards-Version: 4.1.4
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://github.com/rofl0r/proxychains-ng
 Vcs-Git: https://salsa.debian.org/debian/proxychains-ng.git
 Vcs-Browser: https://salsa.debian.org/debian/proxychains-ng
@@ -33,6 +34,7 @@
 Architecture: any
 Provides:
  proxychains,
+ proxychains-ng,
 Breaks:
  proxychains (<< 3.1-8),
 Replaces:
@@ -41,7 +43,7 @@
  libproxychains4 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Description: redirect connections through socks/http proxies
+Description: redirect connections through socks/http proxies (proxychains-ng)
  Proxychains is a UNIX program, that hooks network-related libc functions
  in dynamically linked programs via a preloaded DLL (dlsym(), LD_PRELOAD)
  and redirects the connections through SOCKS4a/5 or HTTP proxies.
