=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%proxychains-ng-$1.tar.gz%" \
 https://github.com/rofl0r/proxychains-ng/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
