## proxychains-ng 4.15

=== debian/changelog ===
proxychains-ng (4.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Also export buildflags while building.
  * debian/control: Bump to debhelper compat v13.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Sep 2021 16:50:57 -0400
