=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-exec,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/rofl0r/proxychains-ng
 Vcs-Git: https://salsa.debian.org/debian/proxychains-ng.git
 Vcs-Browser: https://salsa.debian.org/debian/proxychains-ng
