## proxychains-ng 4.16

=== Makefile ===
--- 
+++ 
@@ -13,19 +13,23 @@
 libdir = $(prefix)/lib
 sysconfdir=$(prefix)/etc
 
-SRCS = $(sort $(wildcard src/*.c))
-OBJS = $(SRCS:.c=.o)
-LOBJS = src/nameinfo.o src/version.o \
+OBJS = src/common.o src/main.o
+
+DOBJS = src/daemon/hsearch.o \
+        src/daemon/sblist.o src/daemon/sblist_delete.o \
+        src/daemon/daemon.o src/daemon/udpserver.o
+
+LOBJS = src/version.o \
         src/core.o src/common.o src/libproxychains.o \
-        src/allocator_thread.o src/ip_type.o \
+        src/allocator_thread.o src/rdns.o \
         src/hostsreader.o src/hash.o src/debug.o
+
 
 GENH = src/version.h
 
 CFLAGS  += -Wall -O0 -g -std=c99 -D_GNU_SOURCE -pipe
 NO_AS_NEEDED = -Wl,--no-as-needed
-LIBDL   = -ldl
-LDFLAGS = -fPIC $(NO_AS_NEEDED) $(LIBDL) -lpthread
+LDFLAGS = -fPIC $(NO_AS_NEEDED) $(LIBDL) $(PTHREAD)
 INC     = 
 PIC     = -fPIC
 AR      = $(CROSS_COMPILE)ar
@@ -41,7 +45,8 @@
 SHARED_LIBS = $(LDSO_PATHNAME)
 ALL_LIBS = $(SHARED_LIBS)
 PXCHAINS = proxychains4
-ALL_TOOLS = $(PXCHAINS)
+PXCHAINS_D = proxychains4-daemon
+ALL_TOOLS = $(PXCHAINS) $(PXCHAINS_D)
 ALL_CONFIGS = src/proxychains.conf
 
 -include config.mak
@@ -70,7 +75,7 @@
 clean:
 	rm -f $(ALL_LIBS)
 	rm -f $(ALL_TOOLS)
-	rm -f $(OBJS)
+	rm -f $(OBJS) $(LOBJS) $(DOBJS)
 	rm -f $(GENH)
 
 src/version.h: $(wildcard VERSION .git)
@@ -83,10 +88,13 @@
 
 $(LDSO_PATHNAME): $(LOBJS)
 	$(CC) $(LDFLAGS) $(LD_SET_SONAME)$(LDSO_PATHNAME) $(USER_LDFLAGS) \
-		-shared -o $@ $(LOBJS) $(SOCKET_LIBS)
+		-shared -o $@ $^ $(SOCKET_LIBS)
 
-$(ALL_TOOLS): $(OBJS)
-	$(CC) src/main.o src/common.o $(USER_LDFLAGS) -o $(PXCHAINS)
+$(PXCHAINS): $(OBJS)
+	$(CC) $^ $(USER_LDFLAGS) $(LIBDL) -o $@
+
+$(PXCHAINS_D): $(DOBJS)
+	$(CC) $^ $(USER_LDFLAGS) -o $@
 
 
 .PHONY: all clean install install-config install-libs install-tools
