=== debian/changelog ===
proxychains-ng (4.16-2) unstable; urgency=medium

  * debian/patches/0003-Add-hook-to-close_range: Backport patch
    to fix compatibility with linux 5.9+ and glibc 2.34+ by hooking
    close_range() function as well. (LP: #1974058)

 -- Boyuan Yang <byang@debian.org>  Mon, 13 Jun 2022 14:08:52 -0400

proxychains-ng (4.16-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * New upstream release 4.16.

 -- Boyuan Yang <byang@debian.org>  Sat, 29 Jan 2022 23:13:39 -0500
