=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  dh-exec,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/rofl0r/proxychains-ng
 Vcs-Git: https://salsa.debian.org/debian/proxychains-ng.git
 Vcs-Browser: https://salsa.debian.org/debian/proxychains-ng
