=== debian/changelog ===
proxychains-ng (4.17-3) unstable; urgency=medium

  * New maintainer.(Closes: #1093571)
  * Thanks to Boyuan Yang, the last maintainer.
  * debian/control: added myself as a new maintainer.
  * debian/copyright: added packaging rights for me.
  * debian/watch: updated.

 -- Thiago Andrade Marques <andrade@debian.org>  Mon, 20 Jan 2025 10:50:44 -0300

proxychains-ng (4.17-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1093571)

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2025 18:55:02 -0500

proxychains-ng (4.17-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/0003: Dropped, merged upstream.

 -- Boyuan Yang <byang@debian.org>  Fri, 26 Jan 2024 09:59:04 -0500

proxychains-ng (4.16-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * debian/rules:
    + Fix FTCBFS: Export CC for non-autoconf configure. (Closes: #1059721)

 -- Boyuan Yang <byang@debian.org>  Tue, 02 Jan 2024 15:26:29 -0500

proxychains-ng (4.16-3) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.6.2.
  * debian/clean: Manually clean config.mak file generated during
    build. (Closes: #1045246)

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Aug 2023 15:36:31 -0400
