=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: proxychains-ng
 Section: net
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
-Build-Depends:
- debhelper-compat (= 13),
- dh-exec,
+Maintainer: Thiago Andrade Marques <andrade@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-exec
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/rofl0r/proxychains-ng
 Vcs-Git: https://salsa.debian.org/debian/proxychains-ng.git
 Vcs-Browser: https://salsa.debian.org/debian/proxychains-ng
@@ -15,9 +14,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: runtime shared library for proxychains-ng
  Proxychains is a UNIX program, that hooks network-related libc functions
  in dynamically linked programs via a preloaded DLL (dlsym(), LD_PRELOAD)
